cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: [DISCUSS]Could we upgrade cxf-xjc-plugin to use jaxb-xjc 2.2.5
Date Thu, 09 Aug 2012 19:30:58 GMT

Sure, but it's not easy for this to work on Java6.   You would need to introduce a "fork"
mode to the xic plugin first, allow it to endorse the jaxb-api jar, etc….    

Dan



On Aug 9, 2012, at 5:00 AM, Freeman Fang <freeman.fang@gmail.com> wrote:

> Hi Team,
> 
> Jaxb xjc tool support the encoding option since 2.2.4[1], which is useful when xsd files
contain language characters which isn't English, but our latest cxf-xjc-plugin are still using
jax-xjc 2.1.13,  my question is could we upgrade our cxf-xjc-plugin to use jaxb-xjc 2.2.5,
I know this might cause incompatible issue between jaxb 2.1 and 2.2, so I wanna ask around
first.
> Best Regards
> [1]http://java.net/jira/browse/JAXB-701
> 
> 
> Freeman
> -------------
> Freeman Fang
> 
> FuseSource
> Email:ffang@fusesource.com
> Web: fusesource.com
> Twitter: freemanfang
> Blog: http://freemanfang.blogspot.com
> http://blog.sina.com.cn/u/1473905042
> weibo: http://weibo.com/u/1473905042
> 

-- 
Daniel Kulp
dkulp@apache.org - http://dankulp.com/blog
Talend Community Coder - http://coders.talend.com


Mime
View raw message